<?php

namespace App\Modelos;

use Core\Database;

class Cajeros extends Database
{
    protected $table = 'app_cajeros';
    protected $id = 'cajs_id';

    public function obtenerCajeros(int $caja)
    {
        return $this->consultar("SELECT cajs_id id, CONCAT(einfo_nombres, ' ', einfo_apellidos) nombre
        FROM app_cajeros cajs
        JOIN app_empleados_info einfo ON einfo.einfo_id = cajs.cajs_empid
        WHERE cajs_cajid = $caja")->all();
    }
}
